Subject: bug#19412: 24.3; ido-write-file sometimes writes to a different directory than, it says it will

From: "Ryan C. Thompson" <[email-masked]>
Date: Mon, 11 Jan 2021 13:50:46 -0500

On 1/11/21 1:43 PM, Lars Ingebrigtsen wrote:
> "Ryan C. Thompson" <[email-masked]> writes:
>
>> And to do that, we need to preserve the user's current input
>> verbatim when falling back.
> Sounds reasonable, but who knows what people are doing in the setup
> hooks there?  So I worry about making a change like this, perhaps overly
> much.
>
> I guess the only way to find out whether it breaks a lot of stuff or
> not is to try it out and get feedback.
>
Yes, it's definitely an invasive change, and more properly characterized 
as a work-around than a true fix, so the worry isn't unwarranted. I'm 
pretty sure the code is correct (or as close to correct as possible 
given the "API" limitations we're working with), but it's always 
possible there's some edge case I haven't anticipated.